Skip to content

Select theme

Get All

GET
/{organization}/projects/{projectId}/groups
curl --request GET \
--url https://app.civillo.com/api/v1/example/projects/1/groups \
--header 'Authorization: Bearer <token>'

Return all groups in the project scope. Only includes the properties available based on user’s role.

organization
required
string

The organization nickname

projectId
required
integer

The project id

Successful response

Media typeapplication/json
Array
object
id

The unique identifier for this group.

integer
poiTagRestrictions

Group users will be restricted to viewing points of interest with these tags.

Array<string>
name

The name of this group.

string
>= 2 characters <= 64 characters
color

The color this group is displayed with.

string
>= 7 characters <= 9 characters
hidden

If true, the group will not be displayed next to users’ names.

boolean
isWorkOrderAssignable

If true, allow work orders to be assigned to this group.

boolean
managedByRole

If set to true, non-admins with the GroupManagement group role will be able to see and manage this group via the admin group management page.

Note that selecting this option and adding a role to this group will result in such non-admins being able to add any other project users to this group, hereby granting them this role.

Ensure you are aware of these permissions implications before configuring this group as such.

boolean
roles

Array of integer-enumerated group roles to be assigned to the group (see Create endpoint description).

Array<integer>
created

The time at which the group was created.

string format: date-time
Example
[
{
"name": "My group",
"color": "#6200EE",
"hidden": false,
"isWorkOrderAssignable": true,
"managedByRole": false,
"roles": [
1,
4,
16
]
}
]

Unauthorized

Media typetext/plain
string
Example
Invalid key/secret pair